Bug 1069951 - Empty string in adding a language causes a broken language to be added
Summary: Empty string in adding a language causes a broken language to be added
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic   
(Show other bugs)
Version: 3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.6
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 00:38 UTC by Damian Jansen
Modified: 2015-03-19 07:10 UTC (History)
2 users (show)

Fixed In Version: 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2254)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-19 07:10:13 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2014-02-26 00:38:40 UTC
Description of problem:
Leaving an empty input field and pressing add creates a language called "Root" which is basically unusable.

Version-Release number of selected component (if applicable):
3.3

How reproducible:
Easy always(?)

Steps to Reproduce:
1. Log in as admin, go to Menu->Administration->Manage Languages
2. Click Add New Language
3. Press Save

Actual results:
A language called Root is added, that lacks a locale id and has Root, root as the normal and native names.

Expected results:
"Field cannot be empty" error

Additional info:

Comment 1 Alex Eng 2014-11-03 05:34:34 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/625

Comment 2 Ding-Yi Chen 2014-11-03 06:25:58 UTC
VERIFIED with Zanata 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2254)


Note You need to log in before you can comment on or make changes to this bug.